Guillaume Nodet resolved CAMEL-12026.
    Resolution: Won't Fix

> ensure camel bundle with spring configuration works in OSGi with 
> aries-blueprint-spring bridge
> ----------------------------------------------------------------------------------------------
>                 Key: CAMEL-12026
>                 URL: https://issues.apache.org/jira/browse/CAMEL-12026
>             Project: Camel
>          Issue Type: Task
>            Reporter: Freeman Fang
>            Assignee: Guillaume Nodet
>            Priority: Major
>         Attachments: say-more-spring.tar
> the spring-dm won't work with spring 4.x, and there's a new blueprint-spring 
> introduced in Aries to make the spring configured bundle still work with 
> spring 4.x
> We need add back CamelContextFactoryBean.java and OsgiSpringCamelContext.java 
> which was removed with camel-spring-dm module, as they are "OSGi context 
> aware" and ensure we use OsgiComponentResolver, OsgiDataFormatResolver etc 
> with the bundle in OSGi.
> We need remove spring-dm dependency from those classes.

This message was sent by Atlassian JIRA

Reply via email to